﻿@using OfficeOpenXml.FormulaParsing.Excel.Functions.Math
@using StarterProjectV2.ViewModels
@model StarterProjectV2.ViewModels.PostList

@{
    ViewData["Title"] = "Owner Post Management";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>

    <style>
        div.pager {
            /*text-align: right;*/
            /*width: 60em;*/
            /*margin: 1em auto;*/
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
   Post Management
}
<body style="background-color: oldlace">
<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color: indianred">@ViewData["Title"]</h2>
    <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
        <input value="@Model.SearchField" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-primary" type="button" onclick="search()">Search</button>
        @*<div class="input-group-append">
            <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
        </div>*@
    </form>
    <div class="table-responsive-lg p-2" style="display:block" id="table">
        <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
            <thead style="color: white; background-color:#315152">

                <tr>

                    <th scope="col">Post Id</th>
                    <th scope="col">Poster's Id</th>
                    <th scope="col">Date Of Post</th>
                    <th scope="col">Approve Status</th>
                    <th scope="col">Date Of Approval</th>
                    @if (Model.TaskRoles[0] == '1') //If View is Enabled
                    {
                        <th scope="col">Approve</th>
                    }
                    @if (Model.TaskRoles[3] == '1')  //If Edit is Enabled
                    {
                        <th scope="col">Edit</th>
                    }
                    @if (Model.TaskRoles[4] == '1') //If Delete is Enabled
                    {
                        <th scope="col">
                            Delete
                        </th>
                    }
                </tr>
            </thead>
            <tbody id="myTable">
                @{
                    var idx1 = 0;
                    int noOfdata = Model.Posts.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var post in Model.Posts)
                    {
                     <tr>
                    <td>@post.PostId</td>
                    <td>@post.PostedBy</td>
                    <td>@post.Time</td>
                    @*<td>@Model.OwnersName.ElementAt(idx1)</td>*@
                    @if (post.Approval)
                    {
                        <td>Approved</td>
                    }
                    else
                    {
                        <td>Not Approved Yet</td>
                    }
                    @if (post.ApprovalTime == Convert.ToDateTime("1900 - 01 - 01 00:00:00.000"))
                    {
                        <td>----</td>
                    }
                    else
                    {
                        <td>@post.ApprovalTime</td>
                    }
                    @if (Model.TaskRoles[0] == '1')
                    {
                        <td>
                            <button type="button"
                                    class="btn btn-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="Click To View & Approve"
                                    onclick="location.href = '@Url.Action("PostView", "OwnersInfo", new { postId = post.PostId })'">
                                <i class="icon-eye">
                                </i>
                            </button>
                        </td>
                    }
                    @if (Model.TaskRoles[3] == '1')
                    {
                        <td>
                            <button type="button"
                                    class="btn btn-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="Click To Edit"
                                    onclick="location.href = '@Url.Action("", "", new { postId = post.PostId })'">
                                <i class="icon-edit">
                                </i>
                            </button>
                        </td>
                    }
                    @if (Model.TaskRoles[4] == '1')
                    {
                        <td>
                            @using (Html.BeginForm("PostDelete", "OwnersInfo", new { postId = post.PostId }, FormMethod.Post))
                            {
                                <button type="submit"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Delete" onclick="return confirm('Are you sure?')" >
                                    <i class="icon-trash">
                                    </i>
                                </button>
                            }
                        </td>
                    }
                </tr>
                        idx1++;
                    }
                }
                </tbody>
        </table>
    </div>
    <div class="text-center" id="message">

    </div>
    @{
        int noOfPosts = Model.NoOfPosts;
    }
    @*<h3>@noOfOwnr</h3>*@
    @if (noOfPosts != 0)
    {

        <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

            <nav aria-label="Page navigation example">
                <ul class="pagination justify-content-center flex-wrap">
                    @{
                        int prev_idx = Model.index - 1;
                    }
                    <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                    <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfPosts)">« Previous</a></li>
                    @{
                        int idx = Model.index;
                        int next_idx = Model.index + 1;
                        int noOfPost = Model.NoOfPosts;
                        if (noOfPost < 10)
                        {
                            for (int i = 1; i <= noOfPost; i++)
                            {
                                <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                            }
                        }
                        else
                        {
                            if (idx <= 5)
                            {
                                if (noOfPosts < 10)
                                {
                                    for (int i = 1; i <= noOfPosts; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = 1; i <= 10; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                            }
                            else if (idx > 5 && idx <= (noOfPost - 5))
                            {
                                for (int i = idx - 4; i <= idx + 5; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                for (int i = noOfPost - 9; i <= noOfPost; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }

                            }
                        }
                    }
                    <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfPosts)">Next »</a></li>
                    <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfPosts)">Last »</a></li>
                </ul>
            </nav>

        </div>

    }

</div>
</body>
<script>
    $("#" + @Model.index).addClass("active");
    var s2 = $("#searchfield").val();
    function search() {
        //alert("gdjsgajgd");
        var s = $("#searchfield").val();
        //alert(s);
        window.location.href = '../OwnersInfo/OwnerPostManagement?searchfield=' + s + '&index=1';
    }
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "../OwnersInfo/OwnerPostManagement?searchfield=" + s2 + "&index=" + i;
        }
    }
    function next(i, n) {
        if (i <= n) {
            window.location.href = "../OwnersInfo/OwnerPostManagement?searchfield=" + s2 + "&index=" + i;
        }
    }
    function paginationPureJS(i) {
        window.location.href = "../OwnersInfo/OwnerPostManagement?searchfield=" + s2 + "&index=" + i;
    }
</script>

<script>
    function deletefunction(post_id) {
        //alert(acc_id);
        window.location.href = "/OwnersInfo/PostDelete?postId=" + post_id;
    }
</script>

<script>
    function viewfunction(post_id) {
        //alert(acc_id);
        window.location.href = "/OwnersInfo/PostView?postId=" + post_id;
    }
</script>

<script>
    $("#" + @Model.index).addClass("active");
</script>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });



    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

        $("#dashboardItem").click(function () {
        });
        $("#reportItem").remove();

    });


</script>

